### Hierarchy

- BaseInput
  - Text

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- initInput
- render

## Constructors

### constructor

- new Text(spec: ISpecification): Text

- Overrides BaseInput.constructor

  - Defined in lib/renderable/input/text/index.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Text

## Properties

### spec

spec: ISpecification

Inherited from BaseInput.spec

- Defined in lib/renderable/input/BaseInput.ts:7

## Methods

### initInput

- initInput(type: string, className: string, isNested: boolean): HTMLInputElement

- Inherited from BaseInput.initInput

  - Defined in lib/renderable/input/BaseInput.ts:13

  #### Parameters

  - ##### type: string

  - ##### className: string

  - ##### isNested: boolean

  #### Returns HTMLInputElement

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/input/text/index.ts:23

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc